Bug 1289239 - fldigi won't run in 32 bit F23 system
fldigi won't run in 32 bit F23 system
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: fldigi (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Shaw
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 12:46 EST by Jim Haynes
Modified: 2015-12-09 09:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-09 09:34:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Haynes 2015-12-07 12:46:45 EST
Description of problem:
attempting to run fldigi 
Version-Release number of selected component (if applicable):

fldigi-3.23.05-1.fc23.i686
How reproducible:

always
Steps to Reproduce:
1.give fldigi command
2.
3.

Actual results:
$ fldigi
fldigi: symbol lookup error: fldigi: undefined symbol: _ZN6XmlRpc12XmlRpcServer14executeRequestERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEE




Expected results:

Program should run
Additional info:
Comment 1 Richard Shaw 2015-12-08 12:17:42 EST
Ok, so that translates to:

$ c++filt _ZN6XmlRpc12XmlRpcServer14executeRequestERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEE
XmlRpc::XmlRpcServer::executeRequest(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&)

The only thing I can guess is that an incompatible change was made to fldigi and it will no longer work with flxmlrpc. The only fix is likely to go back to the bundled xmlrpc.
Comment 2 Richard Shaw 2015-12-08 13:36:22 EST
Just noticed you were running 3.23.05... I have .06 in testing, please see if you can reproduce the problem with it:

dnf --enablerepo=updates-testing update fldigi
Comment 3 Jim Haynes 2015-12-08 17:41:43 EST
That one from updates-testing seems to work OK on the machine in question.
Curiously, I have another 32 bit F23 machine where the one from the regular
repo runs OK.
Comment 4 Richard Shaw 2015-12-09 09:34:17 EST
Bad download perhaps? Unlikely.... Well I'll close this bug for now but if you run into problems just reopen it.

Note You need to log in before you can comment on or make changes to this bug.